package com.huimv.env.manage.saas.controller;


import com.huimv.env.manage.entity.EnvDeviceRegister;
import com.huimv.env.manage.saas.dao.entity.EnvDeviceEquipment;
import com.huimv.env.manage.saas.service.IBasePigpenService;
import com.huimv.env.manage.saas.service.IEnvDeviceEquipmentService;
import com.huimv.env.manage.service.IEnvDeviceRegisterService;
import com.huimv.env.manage.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * <p>
 * 环控绑定设备 前端控制器
 * </p>
 *
 * @author author
 * @since 2022-10-18
 */
@RestController
@RequestMapping("/envDeviceEquipment")
public class EnvDeviceEquipmentController {

    @Autowired
    IEnvDeviceRegisterService deviceRegisterService;

    @Autowired
    IEnvDeviceEquipmentService envDeviceEquipmentService;

    @PostMapping("/listByUnit")
    public Result listByUnit(@RequestBody Map<String, String> map, HttpServletRequest request){

        return deviceRegisterService.listByUnit(map,request);
    }

    @PostMapping("/update")
    public Result update(@RequestBody EnvDeviceEquipment envDeviceEquipment){
        try {
            envDeviceEquipmentService.updateById(envDeviceEquipment);
            return new Result(10000,"修改成功",true);
        }catch (Exception e){
            return new Result(10001,"修改失败",false);
        }


    }

}
